> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onetrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IAB and Google Vendors

Use this API to retrieve a list of active IAB and Google Vendors to be displayed on the Preference Center.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Consent & Preferences - Consent Management Platform (CMP)",
    "description": "These are server-based APIs that will act as a medium between the OT hosted server that owns business logic and the client-side SDK, which will take the responsibility to render elements on UI based on the response sent via APIs.",
    "version": "202605.1.0",
    "contact": {
      "name": "OneTrust Support",
      "url": "https://my.onetrust.com/s/contactsupport"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    }
  },
  "servers": [
    {
      "url": "https://mobile-data.onetrust.io",
      "description": "The OneTrust Consent Management Platform endpoint."
    }
  ],
  "tags": [
    {
      "name": "Vendors",
      "description": "APIs to manage third-party vendor information and their data processing activities.",
      "externalDocs": {
        "description": "OpenAPI 3.1.0 - Download Definition",
        "url": "https://developer.onetrust.com/onetrust/openapi/consent-preferences-consent-management-platform-cmp.json"
      }
    }
  ],
  "x-onetrust": {
    "spec-label": "OpenAPI 3.1.0",
    "links": [
      {
        "Consent & Preference Management Knowledge Base": "https://my.onetrust.com/s/topic/0TO3q000000kIWOGA2/consent-management",
        "Implementation Guidance": "https://developer.onetrust.com/onetrust/docs/implementation-guidance"
      },
      "{'Consent & Preference Management Knowledge Base': 'https://my.onetrust.com/s/topic/0TO3q000000kIWOGA2/consent-management', 'Implementation Guidance': 'https://developer.onetrust.com/onetrust/docs/implementation-guidance'}"
    ]
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "metrics-enabled": false
  },
  "externalDocs": {
    "url": "https://developer.onetrust.com/onetrust/docs/implementation-guidance",
    "description": "Implementation Guidance"
  },
  "paths": {
    "/cfw/cmp/v1/vendors": {
      "get": {
        "operationId": "get_Vendors",
        "summary": "Get IAB and Google Vendors",
        "description": "Use this API to retrieve a list of active IAB and Google Vendors to be displayed on the Preference Center.",
        "tags": [
          "Vendors"
        ],
        "x-onetrust": {
          "release-status": "Public Preview",
          "release-status-link": "https://developer.onetrust.com/onetrust/changelog/onetrust-20240520-released",
          "spec-label": "https://developer.onetrust.com/onetrust/openapi/consent-preferences-consent-management-platform-cmp.json"
        },
        "parameters": [
          {
            "name": "OT-CDN-Location",
            "in": "header",
            "description": "The location of the CDN.",
            "required": true,
            "schema": {
              "description": "The location of the CDN.",
              "type": "string",
              "enum": [
                "cdn.cookielaw.org",
                "cdn-apac.onetrust.com",
                "cdn.au.onetrust.com",
                "cdn-ukwest.onetrust.com",
                "cookie-cdn.cookiepro.com",
                "otcc-demo.otprivacy.com",
                "otcc-training.onetrust.com"
              ]
            }
          },
          {
            "name": "OT-App-Id",
            "in": "header",
            "description": "The unique identifier for the app or domain.",
            "required": true,
            "schema": {
              "description": "The unique identifier for the app or domain.",
              "type": "string",
              "example": "95c1b37a-c271-44e8-9dd3-1742d82ec948-test",
              "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}(-test)?$"
            }
          },
          {
            "name": "OT-Device-Type",
            "in": "header",
            "description": "The type of device.",
            "required": true,
            "schema": {
              "description": "The type of device.",
              "type": "string",
              "enum": [
                "mobile",
                "ctv"
              ]
            }
          },
          {
            "name": "OT-SDK-Version",
            "in": "header",
            "description": "The published version of the app or domain.",
            "required": true,
            "schema": {
              "description": "The published version of the app or domain.",
              "type": "string",
              "example": "202403.2.0",
              "pattern": "^\\d{6}\\.\\d+\\.\\d+$"
            }
          },
          {
            "name": "OT-SDK-Identification",
            "in": "header",
            "description": "The OT SDK identification.",
            "required": false,
            "schema": {
              "description": "The OT SDK identification.",
              "type": [
                "string",
                "null"
              ],
              "example": "iOS/17.0/202411.1.0"
            }
          },
          {
            "name": "OT-Language",
            "in": "header",
            "description": "The language in which the user interface should be displayed.",
            "required": false,
            "schema": {
              "description": "The language in which the user interface should be displayed.",
              "type": [
                "string",
                "null"
              ],
              "example": "en"
            }
          },
          {
            "name": "OT-Country-Code",
            "in": "header",
            "description": "The country code from which the user is accessing the app or website.",
            "required": false,
            "schema": {
              "description": "The country code from which the user is accessing the app or website.",
              "type": [
                "string",
                "null"
              ],
              "example": "US"
            }
          },
          {
            "name": "OT-Region-Code",
            "in": "header",
            "description": "The region code from which the user is accessing the app or website.",
            "required": false,
            "schema": {
              "description": "The region code from which the user is accessing the app or website.",
              "type": [
                "string",
                "null"
              ],
              "example": "GA"
            }
          },
          {
            "name": "OT-Fetch-Type",
            "in": "header",
            "description": "The type of data to download.",
            "required": false,
            "schema": {
              "description": "The type of data to download.",
              "type": [
                "string",
                "null"
              ],
              "enum": [
                "APP_DATA_ONLY",
                "APP_DATA_AND_PROFILE",
                "APP_DATA_AND_SYNC_PROFILE"
              ]
            }
          },
          {
            "name": "OT-Consent-String",
            "in": "header",
            "description": "The encoded consent string that contains the interface's metadata.",
            "required": false,
            "schema": {
              "description": "The encoded consent string that contains the interface's metadata.",
              "type": [
                "string",
                "null"
              ],
              "example": "eyJsYXN0TGF1bmNoRGF0ZSI6MTcxMjMzMDgyOTEwMywic2hvdWxkU2hvd0Jhbm5lciI6MSwiZHNJZCI6IjljZDFjZGM1LTMwNmUtNGQ0Yi05MWFiLTg2MzdjODQ3ZjA3NyIsImFwcElkIjoiOTVjMWIzN2EtYzI3MS00NGU4LTlkZDMtMTc0MmQ4MmVjOTQ4LXRlc3QiLCJjZG4iOiJjZG4uY29va2llbGF3Lm9yZyIsImlzQW5vbnltb3VzIjoxLCJleHBpcnlEYXRlIjpudWxsfQ=="
            }
          },
          {
            "name": "OT-Identifier",
            "in": "header",
            "description": "The unique identifier for the data subject.",
            "required": false,
            "schema": {
              "description": "The unique identifier for the data subject.",
              "type": [
                "string",
                "null"
              ],
              "examples": [
                "9cd1cdc5-306e-4d4b-91ab-8637c847f077",
                "gpburdell@onetrust.com"
              ]
            }
          },
          {
            "name": "OT-Identifier-Type",
            "in": "header",
            "description": "The identifier type associated with the unique identifier in OT-Identifier header",
            "required": false,
            "schema": {
              "description": "The identifier type associated with the unique identifier in OT-Identifier header",
              "type": [
                "string",
                "null"
              ],
              "example": "Email"
            }
          },
          {
            "name": "OT-Identifier-UpdateType",
            "in": "header",
            "description": "The update type for the identifier. This header is used to specify how the identifier should be updated.",
            "required": false,
            "schema": {
              "type": [
                "string",
                "null"
              ],
              "enum": [
                "Rename-Identifier"
              ]
            }
          },
          {
            "name": "OT-Sync-Profile-Auth",
            "in": "header",
            "description": "The JSON Web Token (JWT) generated using Public Keys within the OneTrust application.",
            "required": false,
            "schema": {
              "description": "The JSON Web Token (JWT) generated using Public Keys within the OneTrust application.",
              "type": [
                "string",
                "null"
              ],
              "example": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJncGJ1cmRlbGxAb25ldHJ1c3QuY29tIiwibmFtZSI6Ikdlb3JnZSBQLiBCdXJkZWxsIiwiaWF0IjoxNTE2MjM5MDIyfQ.qisq7xmfAqXkkSckWpeJKs86JlXuKmClEgMaooSaih0"
            }
          },
          {
            "name": "OT-Platform",
            "in": "header",
            "description": "To handle platform-specific features like ATT (App Tracking Transparency for Apple) or GoogleAdId (for Android) in a structured way, you can send the platform type in the parameters of an API or request.",
            "required": false,
            "schema": {
              "description": "To handle platform-specific features like ATT (App Tracking Transparency for Apple) or GoogleAdId (for Android) in a structured way, you can send the platform type in the parameters of an API or request.",
              "type": [
                "string",
                "null"
              ],
              "enum": [
                "Apple",
                "Android"
              ]
            }
          },
          {
            "name": "OT-Exclude-Html-Tags",
            "in": "header",
            "description": "This is specifically to unbold the vendor numbers only.",
            "required": false,
            "schema": {
              "description": "This is specifically to unbold the vendor numbers only.",
              "type": [
                "boolean",
                "null"
              ]
            }
          },
          {
            "name": "OT-Tcf-Eu2v2-Consent-String",
            "in": "header",
            "description": "The IAB TCF string that contains information on consent preferences.",
            "required": false,
            "schema": {
              "description": "The IAB TCF string that contains information on consent preferences.",
              "type": [
                "string",
                "null"
              ],
              "example": "CP68pYAP68pYAAcABBENAKEsAP_gAEPgAChQg1NX_H__bW9j8Xr1aft0eY1P99j7ruQxBhfJE-4FyLvW_JwXx2ExNA36pqIKmRIEu3bBIQFlHIHUTUigaogVryHMakWMhTNKJ6BkiFMRM2dYCF5vmYlD-QKY5_p9d3dx2D-t_dv83dzyz81Hn3f5_2e0eLCdQ58tDfv9bROb-9INd_78v4AAAAAAAAAAAAAAAAAAAAAAAAAAABU-9_fff78AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEQaoWoACIAFAAXAA4AD4AKAAqABcADgAHgAQAAkABdADAAMoAaABqADwAH4ARAAjgBMAChAFIAUwAqwBbAF0AMQAZgA0ABvAD0AHwAPwAhABDQCIAIkARwAlgBNACjAFKAMAAYcAygDLAGaANEAbIA5ABzwDuAO8AewA-IB9gH7AP8BAICDgIQAREAikBFgEYAI1ARwBHQCRAElAJSATQAn4BQYCoAKiAVcAsQBcwC6wF5AXoAvoBigDRAGvANoAbgA4gBxwDpAHUAO2Ae0A-wB_QD_gIQARMAi8BHsCRAJFASsAmKBMgEygJtATsAoeBR4FIgKTgU0BTYCnwFSAKsAVyArsBYUCxALFAWUAtEBakC2ALZAW4AuABcgC6AF2gLvgXkBeYC-gF_gMEAYMAw0BiADFgGPAMhgZGBkkDJgMnAZUAywBmYDOQGeANEgaMBo4DTQGpgNVgauBrIDXgG0ANsgbcBt8DcgN1AcEA4sBx4Dk4HLAcuA50Bz4DrAHigPHgeSB5QD2gHxQPkA-UB9cD7QPugfsB-4D-wH_AQBAgIBAwCB4EEQIJgQYAg3BMwEzgJqATYgm2CbkE3gTfAnDBOUE5gJ0gTrgnaCdwE8AJ5hBqAEEAAQBlDgAQCdAG2EAAQAuQDTlAAICdA.f_wACHwAAAAA"
            }
          },
          {
            "name": "OT-Addtl-Consent-String",
            "in": "header",
            "description": "The Additional Consent string for Google Vendors.",
            "required": false,
            "schema": {
              "description": "The Additional Consent string for Google Vendors.",
              "type": [
                "string",
                "null"
              ],
              "example": "1~1584.2292.2392.3100.14332.24431.25731.25931.26031.26831.27731.28031"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "type": "object",
                      "properties": {
                        "errors": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "string",
                                "example": "ERROR_CODE_BLOB_LOCATIONS_UNAVAILABLE",
                                "enum": [
                                  "SUCCESS",
                                  "ERROR_CODE_TEXT_RESOURCE_NOT_FOUND",
                                  "ERROR_CODE_NO_CONTENT",
                                  "ERROR_CODE_BLOB_LOCATIONS_UNAVAILABLE",
                                  "ERROR_CODE_INVALID_LOCATION",
                                  "ERROR_CODE_INVALID_COUNTRY_OR_REGION",
                                  "ERROR_CODE_INVALID_DEVICE_TYPE",
                                  "ERROR_CODE_INVALID_FETCH_TYPE",
                                  "ERROR_CODE_INVALID_CONSENT_REQUEST",
                                  "ERROR_CODE_HTTP_IF_NONE_MATCHED",
                                  "ERROR_CODE_SYNC_GROUP",
                                  "ERROR_CODE_FAILURE",
                                  "ERROR_CODE_DEFAULT_PURPOSE_STATUS",
                                  "ERROR_CODE_INVALID_OT_CONSENT_STRING",
                                  "ERROR_CODE_GENERIC_ERROR",
                                  "ERROR_CODE_MISSING_REQUIRED_HEADER",
                                  "ERROR_CODE_NO_ACCESS",
                                  "ERROR_CODE_INVALID_INTERACTION_TYPE",
                                  "ERROR_CODE_INVALID_CONTENT_TYPE_HEADER",
                                  "ERROR_IDENTIFIER_MISMATCH",
                                  "ERROR_UCP_NOT_CONFIGURED",
                                  "ERROR_CODE_INVALID_TC_STRING",
                                  "ERROR_GOOGLE_ADS_DISABLED",
                                  "ERROR_CODE_CONSENT_LOGGING",
                                  "ERROR_CODE_INVALID_REQUEST_BODY",
                                  "ERROR_CODE_UNSUPPORTED_VERSION",
                                  "ERROR_CODE_INVALID_AGE_RANGE"
                                ]
                              },
                              "message": {
                                "type": "string",
                                "example": "Unable to fetch data for the specified Application ID. Please check your configurations.",
                                "enum": [
                                  "Not Found",
                                  "No content",
                                  "success",
                                  "Unable to fetch data for the specified Application ID. Please check your configurations.",
                                  "Invalid location",
                                  "Invalid country code or region code. If you want to skip validation, please set the header 'OT-Geolocation-Skip-Validation' to true.",
                                  "Invalid Device Type",
                                  "Invalid Fetch type",
                                  "Missing either or all of TenantId or Identifier or Authorization",
                                  "If-None-Match",
                                  "syncGroup",
                                  "failure",
                                  "NO_CONSENT",
                                  "Invalid OT consent string",
                                  "Something went wrong",
                                  "No access to this resource",
                                  "Invalid Interaction Type",
                                  "Content-Type header should be application/json",
                                  "Input Identifier does not match with one in consent string",
                                  "The UC Purposes API call was successful, but no data is available for display.",
                                  "UC Purposes is disabled.",
                                  "Error decoding TC string, default consent is returned.",
                                  "Google Ads is disabled.",
                                  "Consent Logging has failed, please retry in sometime and if issue still persists please reach out to support team.",
                                  "Error parsing request body",
                                  "The published version is not supported. Please publish a newer version.",
                                  "The upper bound of the age range must be greater than lower bound."
                                ]
                              }
                            },
                            "required": [
                              "code",
                              "message"
                            ]
                          }
                        },
                        "warnings": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "code": {
                                "type": "string",
                                "example": "WARNING_CODE_PUBLISHED_VERSION_MISMATCH",
                                "enum": [
                                  "WARNING_CODE_PUBLISHED_VERSION_MISMATCH"
                                ]
                              },
                              "message": {
                                "type": "string",
                                "example": "Requested data for the OT-SDK-Version does not match the published version on the OneTrust server. The latest published version will be returned instead.",
                                "enum": [
                                  "Requested data for the OT-SDK-Version does not match the published version on the OneTrust server. The latest published version will be returned instead."
                                ]
                              }
                            },
                            "required": [
                              "code",
                              "message"
                            ]
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "properties": {
                        "appConfig": {
                          "type": "object",
                          "properties": {
                            "showBanner": {
                              "type": "boolean",
                              "example": true
                            },
                            "bannerReason": {
                              "type": "string",
                              "example": "Geo rule Banner is enabled and is first launch.",
                              "enum": [
                                "Geo rule Banner is not enabled.",
                                "Geo rule Banner is enabled and is first launch.",
                                "Sdk's Automatic reconsent has expired.",
                                "Reconsent triggered for an authenticated user.",
                                "The TC String has expired.",
                                "Hundred percent sync is not completed for cross device sync enabled scenario.",
                                "The template type is updated to IAB.",
                                "Sdk has been published with reconsent.",
                                "Banner will not be shown as consent validity holds true.",
                                "Banner will not be shown as cross device sync is hundred percent complete."
                              ]
                            },
                            "templateType": {
                              "type": "string",
                              "example": "IAB2V2",
                              "enum": [
                                "GDPR",
                                "CCPA",
                                "IAB2",
                                "IAB2V2",
                                "GENERIC",
                                "LGPD",
                                "GENERIC_PROMPT",
                                "CPRA",
                                "CDPA",
                                "USNATIONAL",
                                "CUSTOM",
                                "COLORADO",
                                "CTDPA",
                                "UCPA",
                                "OREGON",
                                "FLORIDA",
                                "DELAWARE",
                                "IOWA",
                                "MONTANA",
                                "NEBRASKA",
                                "TENNESSEE",
                                "TEXAS",
                                "NEW_JERSEY",
                                "NEW_HAMPSHIRE"
                              ]
                            },
                            "bannerReasonCode": {
                              "type": "integer",
                              "example": 101,
                              "enum": [
                                101,
                                102,
                                103,
                                104,
                                105,
                                107,
                                109,
                                150,
                                151,
                                152
                              ]
                            },
                            "multiProfileConsent": {
                              "type": "object",
                              "properties": {
                                "downloadDataAfterSwitch": {
                                  "type": "boolean"
                                },
                                "maxProfilesLimit": {
                                  "type": "number"
                                }
                              },
                              "required": [
                                "downloadDataAfterSwitch",
                                "maxProfilesLimit"
                              ]
                            },
                            "gcmInfo": {
                              "type": "object",
                              "properties": {
                                "userConsented": {
                                  "type": "boolean"
                                },
                                "gcmConsents": {
                                  "type": "object",
                                  "properties": {
                                    "adPersonalization": {
                                      "type": "string",
                                      "enum": [
                                        "UNASSIGNED",
                                        "UNDEFINED",
                                        "DENIED",
                                        "GRANTED"
                                      ]
                                    },
                                    "adStorage": {
                                      "type": "string",
                                      "example": "DENIED",
                                      "enum": [
                                        "UNASSIGNED",
                                        "UNDEFINED",
                                        "DENIED",
                                        "GRANTED"
                                      ]
                                    },
                                    "adUserData": {
                                      "type": "string",
                                      "example": "GRANTED",
                                      "enum": [
                                        "UNASSIGNED",
                                        "UNDEFINED",
                                        "DENIED",
                                        "GRANTED"
                                      ]
                                    },
                                    "analyticsStorage": {
                                      "type": "string",
                                      "example": "UNDEFINED",
                                      "enum": [
                                        "UNASSIGNED",
                                        "UNDEFINED",
                                        "DENIED",
                                        "GRANTED"
                                      ]
                                    },
                                    "functionalityStorage": {
                                      "type": "string",
                                      "enum": [
                                        "UNASSIGNED",
                                        "UNDEFINED",
                                        "DENIED",
                                        "GRANTED"
                                      ]
                                    },
                                    "personalizationStorage": {
                                      "type": "string",
                                      "enum": [
                                        "UNASSIGNED",
                                        "UNDEFINED",
                                        "DENIED",
                                        "GRANTED"
                                      ]
                                    },
                                    "securityStorage": {
                                      "type": "string",
                                      "enum": [
                                        "UNASSIGNED",
                                        "UNDEFINED",
                                        "DENIED",
                                        "GRANTED"
                                      ]
                                    }
                                  },
                                  "required": [
                                    "adPersonalization",
                                    "adStorage",
                                    "adUserData",
                                    "analyticsStorage",
                                    "functionalityStorage",
                                    "personalizationStorage",
                                    "securityStorage"
                                  ]
                                }
                              },
                              "required": [
                                "userConsented",
                                "gcmConsents"
                              ]
                            },
                            "countryCode": {
                              "type": "string",
                              "example": "US"
                            },
                            "regionCode": {
                              "type": "string",
                              "example": "CA"
                            },
                            "shouldResetLocalState": {
                              "description": "This flag indicates, if any local changes are there at client side, to notify clients to just discard them as we have to collect the consents freshly in certain scenarios like on reconsent triggers etc.",
                              "type": "boolean",
                              "default": false
                            },
                            "lastReconsentDate": {
                              "type": "number",
                              "example": 1733147973220
                            },
                            "rejectAllButtonBehavior": {
                              "type": "string",
                              "example": "LIActiveIfLegalBasis"
                            }
                          },
                          "required": [
                            "showBanner",
                            "bannerReason",
                            "templateType",
                            "bannerReasonCode"
                          ]
                        }
                      },
                      "required": [
                        "appConfig"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "iab2V2Vendors": {
                          "type": "object",
                          "properties": {
                            "groupPrefixes": {
                              "type": "object",
                              "properties": {
                                "stack": {
                                  "type": "string",
                                  "example": "V2STACK"
                                },
                                "feature": {
                                  "type": "string",
                                  "example": "IFE2V2"
                                },
                                "purpose": {
                                  "type": "string",
                                  "example": "IAB2V2"
                                },
                                "specialPurpose": {
                                  "type": "string",
                                  "example": "ISP2V2"
                                },
                                "specialFeature": {
                                  "type": "string",
                                  "example": "ISF2V2"
                                }
                              },
                              "required": [
                                "stack",
                                "feature",
                                "purpose",
                                "specialPurpose",
                                "specialFeature"
                              ]
                            },
                            "purposes": {
                              "type": "object",
                              "properties": {
                                "1": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Store and/or access information on a device"
                                    },
                                    "description": {
                                      "type": "string",
                                      "example": "Cookies, device or similar online identifiers (e.g. login-based identifiers, randomly assigned identifiers, network based identifiers) together with other information (e.g. browser type and information, language, screen size, supported technologies etc.) can be stored or read on your device to recognise it each time it connects to an app or to a website, for one or several of the purposes presented here."
                                    },
                                    "iabIllustrations": {
                                      "type": "array",
                                      "items": {
                                        "type": "string",
                                        "example": "Most purposes explained in this notice rely on the storage or accessing of information from your device when you use an app or visit a website. For example, a vendor or publisher might need to store a cookie on your device during your first visit on a website, to be able to recognise your device during your next visits (by accessing this cookie each time)."
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            "specialPurposes": {
                              "type": "object",
                              "properties": {
                                "1": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Ensure security, prevent and detect fraud, and fix errors"
                                    },
                                    "description": {
                                      "type": "string",
                                      "example": "Your data can be used to monitor for and prevent unusual and possibly fraudulent activity (for example, regarding advertising, ad clicks by bots), and ensure systems and processes work properly and securely. It can also be used to correct any problems you, the publisher or the advertiser may encounter in the delivery of content and ads and in your interaction with them."
                                    },
                                    "iabIllustrations": {
                                      "type": "array",
                                      "items": {
                                        "type": "string",
                                        "example": "An advertising intermediary delivers ads from various advertisers to its network of partnering websites. It notices a large increase in clicks on ads relating to one advertiser, and uses data regarding the source of the clicks to determine that 80% of the clicks come from bots rather than humans."
                                      }
                                    }
                                  }
                                }
                              },
                              "required": [
                                "1"
                              ]
                            },
                            "features": {
                              "type": "object",
                              "properties": {
                                "1": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Match and combine data from other data sources"
                                    },
                                    "description": {
                                      "type": "string",
                                      "example": "Information about your activity on this service may be matched and combined with other information relating to you and originating from various sources (for instance your activity on a separate online service, your use of a loyalty card in-store, or your answers to a survey), in support of the purposes explained in this notice."
                                    },
                                    "iabIllustrations": {
                                      "type": "array",
                                      "items": {
                                        "type": "string",
                                        "example": "Information about your activity on this service may be matched and combined with other information relating to you and originating from various sources (for instance your activity on a separate online service, your use of a loyalty card in-store, or your answers to a survey), in support of the purposes explained in this notice."
                                      }
                                    }
                                  }
                                }
                              },
                              "required": [
                                "1"
                              ]
                            },
                            "specialFeatures": {
                              "type": "object",
                              "properties": {
                                "1": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Use precise geolocation data"
                                    },
                                    "description": {
                                      "type": "string",
                                      "example": "With your acceptance, your precise location (within a radius of less than 500 metres) may be used in support of the purposes explained in this notice."
                                    },
                                    "iabIllustrations": {
                                      "type": "array",
                                      "items": {
                                        "type": "string",
                                        "example": "With your acceptance, your precise location (within a radius of less than 500 metres) may be used in support of the purposes explained in this notice."
                                      }
                                    }
                                  }
                                }
                              },
                              "required": [
                                "1"
                              ]
                            },
                            "vendors": {
                              "type": "object",
                              "properties": {
                                "1": {
                                  "type": "object",
                                  "properties": {
                                    "purposes": {
                                      "type": "array",
                                      "items": {
                                        "type": "number",
                                        "example": 1
                                      }
                                    },
                                    "legIntPurposes": {
                                      "type": "array",
                                      "items": {
                                        "type": "number",
                                        "example": 1
                                      }
                                    },
                                    "flexiblePurposes": {
                                      "type": "array",
                                      "items": {
                                        "type": "number",
                                        "example": 2
                                      }
                                    },
                                    "specialPurposes": {
                                      "type": "array",
                                      "items": {
                                        "type": "number",
                                        "example": 1
                                      }
                                    },
                                    "features": {
                                      "type": "array",
                                      "items": {
                                        "type": "number",
                                        "example": 1
                                      }
                                    },
                                    "specialFeatures": {
                                      "type": "array",
                                      "items": {
                                        "type": "number",
                                        "example": 1
                                      }
                                    },
                                    "id": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Exponential Interactive, Inc d/b/a VDX.tv"
                                    },
                                    "iab2V2GVLVersion": {
                                      "type": "number",
                                      "example": 7
                                    },
                                    "dataDeclaration": {
                                      "type": "array",
                                      "items": {
                                        "type": "number",
                                        "example": 1
                                      }
                                    },
                                    "urls": {
                                      "type": "object",
                                      "properties": {
                                        "langId": {
                                          "type": "string",
                                          "example": "en"
                                        },
                                        "privacy": {
                                          "type": "string",
                                          "example": "https://vdx.tv/privacy/"
                                        },
                                        "legIntClaim": {
                                          "type": "string",
                                          "example": "https://cdnx.exponential.com/wp-content/uploads/2018/04/Balancing-Assessment-for-Legitimate-Interest-Publishers-v2.pdf"
                                        }
                                      }
                                    },
                                    "dataRetention": {
                                      "type": "object",
                                      "properties": {
                                        "stdRetention": {
                                          "type": "number",
                                          "example": 397
                                        },
                                        "purposes": {
                                          "type": "object",
                                          "properties": {}
                                        },
                                        "specialPurposes": {
                                          "type": "object",
                                          "properties": {}
                                        }
                                      }
                                    },
                                    "cookieMaxAgeSeconds": {
                                      "type": "number",
                                      "example": 7776000
                                    },
                                    "usesNonCookieAccess": {
                                      "type": "boolean",
                                      "example": true
                                    },
                                    "deviceStorageDisclosureUrl": {
                                      "type": "string",
                                      "example": "https://vdxtv.expo.workers.dev"
                                    },
                                    "legIntStatus": {
                                      "type": "string",
                                      "example": "-1"
                                    },
                                    "consentStatus": {
                                      "type": "string",
                                      "example": "1"
                                    }
                                  },
                                  "required": [
                                    "urls",
                                    "dataRetention"
                                  ]
                                }
                              },
                              "required": [
                                "1"
                              ]
                            },
                            "iabDataCategories": {
                              "type": "object",
                              "properties": {
                                "1": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 1
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "IP addresses"
                                    }
                                  }
                                },
                                "2": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 2
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Device characteristics"
                                    }
                                  }
                                },
                                "3": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 3
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Device identifiers"
                                    }
                                  }
                                },
                                "4": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 4
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Probabilistic identifiers"
                                    }
                                  }
                                },
                                "5": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 5
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Authentication-derived identifiers"
                                    }
                                  }
                                },
                                "6": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 6
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Browsing and interaction data"
                                    }
                                  }
                                },
                                "7": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 7
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "User-provided data"
                                    }
                                  }
                                },
                                "8": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 8
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Non-precise location data"
                                    }
                                  }
                                },
                                "9": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 9
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Precise location data"
                                    }
                                  }
                                },
                                "10": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 10
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Users’ profiles"
                                    }
                                  }
                                },
                                "11": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 11
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Privacy choices"
                                    }
                                  }
                                }
                              }
                            },
                            "vendorListVersion": {
                              "type": "number",
                              "example": 35
                            },
                            "lastUpdated": {
                              "type": "string",
                              "example": "2024-01-11T16:07:36Z"
                            }
                          },
                          "required": [
                            "groupPrefixes",
                            "purposes",
                            "specialPurposes",
                            "features",
                            "specialFeatures",
                            "vendors",
                            "iabDataCategories"
                          ]
                        },
                        "googleVendors": {
                          "type": "object",
                          "properties": {
                            "vendors": {
                              "type": "object",
                              "properties": {
                                "320": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 320
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Merkury"
                                    },
                                    "policyUrl": {
                                      "type": "string",
                                      "example": "https://www.merkle.com/getting-know-your-privacy-rights/privacy-notice"
                                    },
                                    "consentStatus": {
                                      "type": "number",
                                      "example": 1
                                    }
                                  }
                                },
                                "1085": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 1085
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "activecore"
                                    },
                                    "policyUrl": {
                                      "type": "string",
                                      "example": "https://www.activecore.jp/privacy-policy/"
                                    },
                                    "consentStatus": {
                                      "type": "number",
                                      "example": 1
                                    }
                                  }
                                },
                                "1421": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "number",
                                      "example": 1421
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Alkami Technology, Inc."
                                    },
                                    "policyUrl": {
                                      "type": "string",
                                      "example": "https://www.alkami.com/privacy-policy/"
                                    },
                                    "consentStatus": {
                                      "type": "number",
                                      "example": 1
                                    }
                                  }
                                }
                              }
                            },
                            "vendorListVersion": {
                              "type": "number",
                              "example": 1
                            }
                          },
                          "required": [
                            "vendors"
                          ]
                        },
                        "generalVendors": {
                          "type": "object",
                          "example": {
                            "V1": {
                              "id": "53a7e59b-73cb-4355-bc2b-53772084314d",
                              "name": "First General Vendor",
                              "vendorCustomId": "V1",
                              "description": "First General Vendor Description",
                              "privacyPolicyUrl": "https://www.google.com",
                              "sdks": [
                                "c427872b-7d43-4808-91c1-95698e9ce287"
                              ],
                              "toggleStatus": 0
                            }
                          },
                          "additionalProperties": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string"
                              },
                              "name": {
                                "type": "string"
                              },
                              "vendorCustomId": {
                                "type": "string"
                              },
                              "description": {
                                "type": "string"
                              },
                              "privacyPolicyUrl": {
                                "type": "string"
                              },
                              "sdks": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              },
                              "toggleStatus": {
                                "type": "number"
                              },
                              "linkedGroupIds": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            },
                            "required": [
                              "id",
                              "name",
                              "vendorCustomId",
                              "description",
                              "privacyPolicyUrl",
                              "sdks",
                              "toggleStatus",
                              "linkedGroupIds"
                            ]
                          }
                        },
                        "vendorListUIData": {
                          "type": "object",
                          "properties": {
                            "general": {
                              "type": "object",
                              "properties": {
                                "backgroundColor": {
                                  "type": "string",
                                  "example": "#FFFFFF"
                                },
                                "backgroundColorDark": {
                                  "type": "string",
                                  "example": "#2F2F2F"
                                },
                                "toggleActiveColor": {
                                  "type": "string",
                                  "example": "#6CC04A"
                                },
                                "toggleActiveColorDark": {
                                  "type": "string",
                                  "example": "#6CC04A"
                                },
                                "toggleInactiveColor": {
                                  "type": "string",
                                  "example": "#FFFFFF"
                                },
                                "toggleInactiveColorDark": {
                                  "type": "string",
                                  "example": "#FFFFFF"
                                },
                                "lineBreakColor": {
                                  "type": "string",
                                  "example": "#dedede"
                                },
                                "lineBreakColorDark": {
                                  "type": "string",
                                  "example": "#767676"
                                },
                                "titleTextColor": {
                                  "type": "string",
                                  "example": "#696969"
                                },
                                "titleTextColorDark": {
                                  "type": "string",
                                  "example": "#FFFFFF"
                                },
                                "disclosureTintColor": {
                                  "type": "string",
                                  "example": "#696969"
                                },
                                "disclosureTintColorDark": {
                                  "type": "string",
                                  "example": "#FFFFFF"
                                },
                                "pageHeaderTitle": {
                                  "type": "string",
                                  "example": "IAB Vendors"
                                },
                                "iabVendorsTitle": {
                                  "type": "string",
                                  "example": "IAB Vendors"
                                },
                                "googleVendorsTitle": {
                                  "type": "string",
                                  "example": "Google Vendors"
                                },
                                "allowAllConsentText": {
                                  "type": "string",
                                  "example": "Allow All Consent"
                                },
                                "filter": {
                                  "type": "object",
                                  "properties": {
                                    "onColor": {
                                      "type": "string",
                                      "example": "#346E4A"
                                    },
                                    "onColorDark": {
                                      "type": "string",
                                      "example": "#6CC04A"
                                    },
                                    "color": {
                                      "type": "string",
                                      "example": "#696969"
                                    },
                                    "colorDark": {
                                      "type": "string",
                                      "example": "#FFFFFF"
                                    }
                                  }
                                },
                                "searchBar": {
                                  "type": "object",
                                  "properties": {
                                    "textColor": {
                                      "type": "string",
                                      "example": "#696969"
                                    },
                                    "textColorDark": {
                                      "type": "string",
                                      "example": "#FFFFFF"
                                    },
                                    "searchPlaceholderText": {
                                      "type": "string",
                                      "example": "Search…"
                                    },
                                    "searchNoResultsFoundText": {
                                      "type": "string",
                                      "example": "No Results Found"
                                    },
                                    "searchResultsTotalText": {
                                      "type": "string",
                                      "example": "Total"
                                    },
                                    "backgroundColorDark": {
                                      "type": "string",
                                      "example": "#5D5D5D"
                                    },
                                    "resultsFoundText": {
                                      "type": "string"
                                    }
                                  },
                                  "required": [
                                    "resultsFoundText"
                                  ]
                                },
                                "segmentControl": {
                                  "type": "object",
                                  "properties": {
                                    "foreGroundColor": {
                                      "type": "string",
                                      "example": "#696969"
                                    },
                                    "foreGroundColorDark": {
                                      "type": "string",
                                      "example": "#FFFFFF"
                                    },
                                    "selectedForeGroundColor": {
                                      "type": "string",
                                      "example": "#FFFFFF"
                                    },
                                    "selectedForeGroundColorDark": {
                                      "type": "string",
                                      "example": "#FFFFFF"
                                    },
                                    "tintColor": {
                                      "type": "string",
                                      "example": "#346E4A"
                                    },
                                    "tintColorDark": {
                                      "type": "string",
                                      "example": "#6CC04A"
                                    },
                                    "font": {
                                      "type": "string",
                                      "example": "17"
                                    },
                                    "selectedFont": {
                                      "type": "string",
                                      "example": "17"
                                    }
                                  }
                                },
                                "buttons": {
                                  "type": "object",
                                  "properties": {
                                    "savePreferencesButton": {
                                      "type": "object",
                                      "properties": {
                                        "borderRadius": {
                                          "type": "string",
                                          "example": "0"
                                        },
                                        "color": {
                                          "type": "string",
                                          "example": "#346E4A"
                                        },
                                        "colorDark": {
                                          "type": "string",
                                          "example": "#6CC04A"
                                        },
                                        "fontSize": {
                                          "type": "string",
                                          "example": "17"
                                        },
                                        "text": {
                                          "type": "string",
                                          "example": "Confirm My Choices"
                                        },
                                        "textColor": {
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "textColorDark": {
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "interactionType": {
                                          "type": "string",
                                          "example": "VENDOR_LIST_CONFIRM"
                                        }
                                      }
                                    },
                                    "acceptAll": {
                                      "type": "object",
                                      "properties": {
                                        "borderRadius": {
                                          "type": "string",
                                          "example": "0"
                                        },
                                        "color": {
                                          "type": "string",
                                          "example": "#346E4A"
                                        },
                                        "colorDark": {
                                          "type": "string",
                                          "example": "#6CC04A"
                                        },
                                        "fontSize": {
                                          "type": "string",
                                          "example": "17"
                                        },
                                        "text": {
                                          "type": "string",
                                          "example": "Allow All"
                                        },
                                        "textColor": {
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "textColorDark": {
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "interactionType": {
                                          "type": "string",
                                          "example": "VENDOR_LIST_ALLOW_ALL"
                                        },
                                        "position": {
                                          "description": "Applicable to ctv device type only",
                                          "type": "number",
                                          "example": 0
                                        },
                                        "positionBeforePurpose": {
                                          "description": "Applicable to mobile device type only",
                                          "type": "number",
                                          "example": 0
                                        },
                                        "positionAfterPurpose": {
                                          "description": "Applicable to mobile device type only",
                                          "type": "number",
                                          "example": 0
                                        }
                                      },
                                      "required": [
                                        "interactionType"
                                      ]
                                    },
                                    "rejectAll": {
                                      "type": "object",
                                      "properties": {
                                        "borderRadius": {
                                          "type": "string",
                                          "example": "0"
                                        },
                                        "color": {
                                          "type": "string",
                                          "example": "#346E4A"
                                        },
                                        "colorDark": {
                                          "type": "string",
                                          "example": "#6CC04A"
                                        },
                                        "fontSize": {
                                          "type": "string",
                                          "example": "17"
                                        },
                                        "text": {
                                          "type": "string",
                                          "example": "Reject All"
                                        },
                                        "textColor": {
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "textColorDark": {
                                          "type": "string",
                                          "example": "#FFFFFF"
                                        },
                                        "interactionType": {
                                          "type": "string",
                                          "example": "VENDOR_LIST_REJECT_ALL"
                                        },
                                        "position": {
                                          "description": "Applicable to ctv device type only",
                                          "type": "number",
                                          "example": 0
                                        },
                                        "positionBeforePurpose": {
                                          "description": "Applicable to mobile device type only",
                                          "type": "number",
                                          "example": 0
                                        },
                                        "positionAfterPurpose": {
                                          "description": "Applicable to mobile device type only",
                                          "type": "number",
                                          "example": 0
                                        }
                                      },
                                      "required": [
                                        "interactionType"
                                      ]
                                    }
                                  },
                                  "required": [
                                    "savePreferencesButton"
                                  ]
                                },
                                "useRTL": {
                                  "type": "boolean"
                                },
                                "generalVendorsTitle": {
                                  "type": "string",
                                  "example": "Other Vendors"
                                },
                                "showTogglesForGeneralVendors": {
                                  "type": "boolean"
                                },
                                "generalVendorsPolicyText": {
                                  "type": "string",
                                  "example": "View Privacy Policy"
                                },
                                "filterVendorListTitle": {
                                  "type": "string",
                                  "example": "Filter Vendor List"
                                }
                              },
                              "required": [
                                "filter",
                                "searchBar",
                                "segmentControl",
                                "buttons",
                                "useRTL"
                              ]
                            },
                            "vendorDetailsUIData": {
                              "type": "object",
                              "properties": {
                                "backButtonColor": {
                                  "type": "string",
                                  "example": "#696969"
                                },
                                "backButtonColorDark": {
                                  "type": "string",
                                  "example": "#FFFFFF"
                                },
                                "vendorsPolicyText": {
                                  "type": "string",
                                  "example": "View Privacy Policy"
                                },
                                "legIntClaimPolicyText": {
                                  "type": "string",
                                  "example": "View Legitimate Interest Claim"
                                },
                                "consentToggleText": {
                                  "type": "string",
                                  "example": "Consent"
                                },
                                "legitInterestToggleText": {
                                  "type": "string",
                                  "example": "Legitimate Interest"
                                },
                                "consentPurposes": {
                                  "type": "string",
                                  "example": "Consent Purposes"
                                },
                                "features": {
                                  "type": "string",
                                  "example": "Features"
                                },
                                "specialFeatures": {
                                  "type": "string",
                                  "example": "Special Features"
                                },
                                "specialPurposes": {
                                  "type": "string",
                                  "example": "Special Purposes"
                                },
                                "legitimateInterestPurposesText": {
                                  "type": "string",
                                  "example": "Legitimate Interest Purposes"
                                },
                                "lifespan": {
                                  "type": "string",
                                  "example": "Lifespan"
                                },
                                "lifespanDay": {
                                  "type": "string",
                                  "example": "Day"
                                },
                                "lifespanDays": {
                                  "type": "string",
                                  "example": "Days"
                                },
                                "lifespanMonth": {
                                  "type": "string",
                                  "example": "Month"
                                },
                                "lifespanMonths": {
                                  "type": "string",
                                  "example": "Months"
                                },
                                "disclosureTitle": {
                                  "type": "string",
                                  "example": "Device Storage Disclosure"
                                },
                                "nonCookieUsageText": {
                                  "type": "string",
                                  "example": "This vendor utilizes other methods of storage or accessing information in addition to cookies."
                                },
                                "storageIdentifierText": {
                                  "type": "string",
                                  "example": "Identifier"
                                },
                                "storageIdentifierType": {
                                  "type": "string",
                                  "example": "Type"
                                },
                                "storagePurposes": {
                                  "type": "string",
                                  "example": "Purposes"
                                },
                                "storageDomain": {
                                  "type": "string",
                                  "example": "Domain"
                                },
                                "dataDeclarationText": {
                                  "type": "string",
                                  "example": "Data Declaration"
                                },
                                "dataRetentionText": {
                                  "type": "string",
                                  "example": "Data Retention"
                                },
                                "dataStdRetentionText": {
                                  "type": "string",
                                  "example": "Standard Retention"
                                },
                                "domainsUsed": {
                                  "type": "string"
                                },
                                "domainUse": {
                                  "type": "string"
                                },
                                "sdkListText": {
                                  "type": "string"
                                },
                                "title": {
                                  "type": "object",
                                  "properties": {
                                    "fontSize": {
                                      "type": "string",
                                      "example": "22"
                                    },
                                    "show": {
                                      "type": "boolean",
                                      "example": true
                                    },
                                    "text": {
                                      "type": "string",
                                      "example": "About Your Privacy"
                                    },
                                    "textAlign": {
                                      "type": "string",
                                      "example": "left"
                                    },
                                    "textColor": {
                                      "type": "string",
                                      "example": "#696969"
                                    },
                                    "textColorDark": {
                                      "type": "string",
                                      "example": "#FFFFFF"
                                    }
                                  }
                                },
                                "description": {
                                  "type": "object",
                                  "properties": {
                                    "show": {
                                      "type": "boolean",
                                      "example": true
                                    },
                                    "fontSize": {
                                      "type": "string",
                                      "example": "16"
                                    },
                                    "text": {
                                      "type": "string",
                                      "example": "We process your data to deliver content or advertisements and measure the delivery of such content or advertisements to extract insights about our website. We share this information with our partners on the basis of consent. You may exercise your right to consent, based on a specific purpose below or at a partner level in the link under each purpose. These choices will be signaled to our vendors participating in the Transparency and Consent Framework."
                                    },
                                    "textAlign": {
                                      "type": "string",
                                      "example": "left"
                                    },
                                    "textColor": {
                                      "type": "string",
                                      "example": "#696969"
                                    },
                                    "textColorDark": {
                                      "type": "string",
                                      "example": "#FFFFFF"
                                    }
                                  }
                                },
                                "link": {
                                  "type": "object",
                                  "properties": {
                                    "fontSize": {
                                      "type": "string",
                                      "example": "17"
                                    },
                                    "show": {
                                      "type": "boolean",
                                      "example": true
                                    },
                                    "text": {
                                      "type": "string",
                                      "example": "More information"
                                    },
                                    "textAlign": {
                                      "type": "string",
                                      "example": "left"
                                    },
                                    "textColor": {
                                      "type": "string",
                                      "example": "#3860BE"
                                    },
                                    "textColorDark": {
                                      "type": "string",
                                      "example": "#3860BE"
                                    },
                                    "url": {
                                      "type": "string",
                                      "example": "https://cookiepedia.co.uk/giving-consent-to-cookies"
                                    },
                                    "urlQRCode": {
                                      "type": "string",
                                      "example": "https://cookiesqastorage.blob.core.windows.net/logos/af6aa20c-54ea-4ae1-97e8-068e906702da/1819526c-4eff-495a-af85-03642c1f8510/5d401ebd-469f-49d8-a134-f05cb5282567/865aac1d-af35-4ade-a7e1-7847cf46fe60.png"
                                    }
                                  }
                                }
                              },
                              "required": [
                                "title",
                                "description",
                                "link"
                              ]
                            }
                          },
                          "required": [
                            "general",
                            "vendorDetailsUIData"
                          ]
                        }
                      },
                      "required": [
                        "googleVendors",
                        "vendorListUIData"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "otConsentString": {
                          "type": "string",
                          "example": "eyJMYXN0TGF1bmNoRGF0ZSI6MTcwNDczNzM3OTY1MSwiU2hvdWxkU2hvd0Jhbm5lciI6MSwiRFNJRCI6InN1cC1uZXdsa2diIn0="
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "string",
                            "example": "ERROR_CODE_BLOB_LOCATIONS_UNAVAILABLE"
                          },
                          "message": {
                            "type": "string",
                            "example": "Unable to fetch data for the specified Application ID. Please check your configurations."
                          }
                        },
                        "required": [
                          "code",
                          "message"
                        ]
                      }
                    }
                  },
                  "required": [
                    "errors"
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "string",
                            "example": "ERROR_CODE_NO_ACCESS"
                          },
                          "message": {
                            "type": "string",
                            "example": "No access to this resource"
                          }
                        },
                        "required": [
                          "code",
                          "message"
                        ]
                      }
                    }
                  },
                  "required": [
                    "errors"
                  ]
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "string",
                            "example": "ERROR_CODE_TEXT_RESOURCE_NOT_FOUND"
                          },
                          "message": {
                            "type": "string",
                            "example": "Not Found"
                          }
                        },
                        "required": [
                          "code",
                          "message"
                        ]
                      }
                    }
                  },
                  "required": [
                    "errors"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests. \\nFor more information, see [API Rate Limits](https://developer.onetrust.com/onetrust/reference/rate-limits-overview).",
            "headers": {
              "Retry-After": {
                "schema": {
                  "description": "The number of seconds after which requests will be allowed again.",
                  "format": "int32"
                }
              },
              "ot-period": {
                "schema": {
                  "description": "The unit of time for which the rate limit applies",
                  "enum": [
                    "HOUR",
                    "MINUTE"
                  ]
                }
              },
              "ot-ratelimit-event-id": {
                "schema": {
                  "description": "The unique identifier for the rate-limiting event.",
                  "format": "uuid"
                }
              },
              "ot-request-made": {
                "schema": {
                  "description": "The number of requests made within the specified period.",
                  "format": "int32"
                }
              },
              "ot-requests-allowed": {
                "schema": {
                  "description": "The number of requests allowed within the specified period.",
                  "format": "int32"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "string",
                            "example": "ERROR_CODE_GENERIC_ERROR"
                          },
                          "message": {
                            "type": "string",
                            "example": "Something went wrong"
                          }
                        },
                        "required": [
                          "code",
                          "message"
                        ]
                      }
                    }
                  },
                  "required": [
                    "errors"
                  ]
                }
              }
            }
          }
        }
      }
    }
  }
}
```